import { requestClient } from '#/api/request';

const orderPrefix = 'order/';

export async function adjustOrderPercent(data: Record<string, any>) {
  return requestClient.post(`${orderPrefix}adjust-order-percent`, data);
}

export async function getOrderPriceAdjustConfig(storeId?: number) {
  return requestClient.get(`${orderPrefix}price-adjust-config`, {
    params: storeId ? { store_id: storeId } : {},
  });
}
